Method: networks.viewabilityProviders.batchUpdate

Batch updates ViewabilityProvider objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/viewabilityProviders:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where ViewabilityProviders will be updated. Format: networks/{networkCode} The parent field in the UpdateViewabilityProviderRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateViewabilityProviderRequest)
    }
  ]
}
Fields
requests[]

object (UpdateViewabilityProviderRequest)

Required. The ViewabilityProvider objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for [viewabilityProviders.batchUpdate][] method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "viewabilityProviders": [
    {
      object (ViewabilityProvider)
    }
  ]
}
Fields
viewabilityProviders[]

object (ViewabilityProvider)

The ViewabilityProvider objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateViewabilityProviderRequest

Request object for [viewabilityProviders.patch][] method.

JSON representation
{
  "viewabilityProvider": {
    object (ViewabilityProvider)
  },
  "updateMask": string
}
Fields
viewabilityProvider

object (ViewabilityProvider)

Required. The ViewabilityProvider to update.

The ViewabilityProvider's name is used to identify the ViewabilityProvider to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".